import { ReactNode } from 'react';
interface KeyModifiers {
    ctrlKey: boolean;
    shiftKey: boolean;
    altKey: boolean;
}
export declare const KeyModifierContext: import("react").Context<KeyModifiers>;
export declare function useKeyModifiers(): KeyModifiers;
interface KeyModifierProviderProps {
    children: ReactNode;
}
export declare function getModifiers(event: KeyboardEvent | MouseEvent): {
    ctrlKey: boolean;
    shiftKey: boolean;
    altKey: boolean;
};
export declare function KeyModifiersProvider({ children }: KeyModifierProviderProps): import("react/jsx-runtime").JSX.Element;
export {};
