import { FifoLogger, LogEntry } from 'fifo-logger';
import { ReactNode } from 'react';
export declare const LoggerContext: import("react").Context<{
    logger: FifoLogger;
    logsHistory: LogEntry[];
    markAsRead: () => void;
    lastReadLogId: number;
} | null>;
export declare function useLogger(): {
    logger: FifoLogger;
    logsHistory: LogEntry[];
    markAsRead: () => void;
    lastReadLogId: number;
};
interface LoggerProviderProps {
    children: ReactNode;
}
export declare function LoggerProvider({ children }: LoggerProviderProps): import("react/jsx-runtime").JSX.Element;
export {};
